/***************************************************************************
* File Name: hal430_clocks_430f1xx.c
* Processor(s): MSP430F16x (tested), MSP430F14x (not tested)
* Compiler: Code Composer Studio V4 (4.2.5.00005)
* 
* Copyright  2013 Playing With Fusion, Inc.
* SOFTWARE LICENSE AGREEMENT: This code is released under the MIT License. 
* 
* Permission is hereby granted, free of charge, to any person obtaining a
* copy of this software and associated documentation files (the "Software"),
* to deal in the Software without restriction, including without limitation
* the rights to use, copy, modify, merge, publish, distribute, sublicense,
* and/or sell copies of the Software, and to permit persons to whom the
* Software is furnished to do so, subject to the following conditions:
* 
* The above copyright notice and this permission notice shall be included in
* all copies or substantial portions of the Software.
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
* DEALINGS IN THE SOFTWARE.
* **************************************************************************
* REVISION HISTORY:
* Author			Date		Comments
* J. Steinlage		2013Nov30	Original version
* 
* **************************************************************************
* ADDITIONAL NOTES:
* This file contains functions to set the DCO (digitally controlled
* oscillator) frequency.
* 	- Configure MSP430F16x for ~4.9MHz DCO 
***************************************************************************/

#include "msp430x16x.h"
#include "msp430_typeDef.h"

void init_dco(void)
{
	// Looking to set ~4.9MHz DCO clock frequency
	DCOCTL = DCO0 + DCO1 + DCO2;				// DCOx = 7, MODx bits don't matter when DCOx = 7
	BCSCTL1 = RSEL0 + RSEL1 + RSEL2 + XT2OFF;	// RSELx = 7, ACLK /1, XT2 off, LF mode
	//BCSCTL2 = DIVS_0 + SELM_0 + DIVM_0;		// SMCLK/MCLK /1, SMCLK/MCLK src=DCOCLK
	BCSCTL2 = 0x00;								// equivalent to above
}
